Index: extensions/app_radgw/rgw_clients.c
===================================================================
--- extensions/app_radgw/rgw_clients.c	(revision 1033)
+++ extensions/app_radgw/rgw_clients.c	(revision 1107)
@@ -921,6 +921,8 @@
 	/* Dump the entry in debug mode */
 	if (TRACE_BOOL(FULL + 1 )) {
+		char sa_buf[sSA_DUMP_STRLEN];
+		fd_sa_sdump_numeric(sa_buf, ip_port);
 		TRACE_DEBUG(FULL, "Adding %s:", (type == RGW_CLI_NAS) ? "NAS" : "PROXY"  );
-		TRACE_sSA(FD_LOG_DEBUG, FULL, 	 "\tIP : ", ip_port, NI_NUMERICHOST | NI_NUMERICSERV, "" );
+		TRACE_DEBUG(FULL, "\tIP : %s", sa_buf );
 		TRACE_BUFFER(FD_LOG_DEBUG, FULL, "\tKey: [", *key, keylen, "]" );
 	}
@@ -941,4 +943,5 @@
 	
 	if (ret == EEXIST) {
+		char sa_buf[sSA_DUMP_STRLEN];
 		/* Check if the key is the same, then skip or return an error */
 		if ((keylen == prev->key.len ) && ( ! memcmp(*key, prev->key.data, keylen) ) && (type == prev->type)) {
@@ -950,8 +953,10 @@
 		fd_log_error("ERROR: Conflicting RADIUS clients descriptions!");
 		TRACE_ERROR("Previous entry: %s", (prev->type == RGW_CLI_NAS) ? "NAS" : "PROXY");
-		TRACE_sSA(FD_LOG_ERROR, NONE, 	 "\tIP : ", prev->sa, NI_NUMERICHOST | NI_NUMERICSERV, "" );
+		fd_sa_sdump_numeric(sa_buf, prev->sa);
+		TRACE_ERROR("\tIP : %s", sa_buf);
 		TRACE_BUFFER(FD_LOG_ERROR, NONE, "\tKey: [", prev->key.data, prev->key.len, "]" );
 		TRACE_ERROR("Conflicting entry: %s", (type == RGW_CLI_NAS) ? "NAS" : "PROXY");
-		TRACE_sSA(FD_LOG_ERROR, NONE, 	 "\tIP : ", ip_port, NI_NUMERICHOST | NI_NUMERICSERV, "" );
+		fd_sa_sdump_numeric(sa_buf, ip_port);
+		TRACE_ERROR("\tIP : %s", sa_buf);
 		TRACE_BUFFER(FD_LOG_ERROR, NONE, "\tKey: [", *key, keylen, "]" );
 	}
@@ -969,7 +974,9 @@
 	
 	for (ref = senti->next; ref != senti; ref = ref->next) {
+		char sa_buf[sSA_DUMP_STRLEN];
 		client = (struct rgw_client *)ref;
 		/* TODO: use a fct param instead of hardcoded FD_LOG_DEBUG */
-		TRACE_sSA(FD_LOG_DEBUG, NONE, 	 "  - ", client->sa, NI_NUMERICHOST | NI_NUMERICSERV, (client->type == RGW_CLI_NAS) ? "" : " [PROXY]" );
+		TODO("Replace with appropriate code");
+/*		TRACE_sSA(FD_LOG_DEBUG, NONE, 	 "  - ", client->sa, NI_NUMERICHOST | NI_NUMERICSERV, (client->type == RGW_CLI_NAS) ? "" : " [PROXY]" ); */
 	}
 }
Index: extensions/app_radgw/rgw_servers.c
===================================================================
--- extensions/app_radgw/rgw_servers.c	(revision 1027)
+++ extensions/app_radgw/rgw_servers.c	(revision 1107)
@@ -111,4 +111,5 @@
 	while (1) {
 		struct sockaddr_storage from;
+		char sa_buf[sSA_DUMP_STRLEN];
 		socklen_t fromlen = sizeof(from);
 		int len;
@@ -133,15 +134,11 @@
 		}
 		
-		{
-			char __buf[1024];
-			sSA_DUMP_NODE_SERV(__buf, sizeof(__buf), &from, NI_NUMERICHOST | NI_NUMERICSERV );
-			TRACE_DEBUG(FULL, "Received %d bytes from %s", len, __buf);
-		}
+		fd_sa_sdump_numeric(sa_buf, (sSA*)&from);
+		TRACE_DEBUG(FULL, "Received %d bytes from %s", len, sa_buf);
 		
 		/* Search the associated client definition, if any */
 		CHECK_FCT_DO( rgw_clients_search((struct sockaddr *) &from, &nas_info),
 			{
-				TRACE_NOTICE("Discarding %d bytes received from unknown IP:", len);
-				TRACE_sSA(FD_LOG_NOTICE, INFO, " ", &from, NI_NUMERICHOST | NI_NUMERICSERV, "" );
+				TRACE_NOTICE("Discarding %d bytes received from unknown IP: %s", len, sa_buf);
 				continue;
 			} );
@@ -250,4 +247,5 @@
 	int ret = 0;
 	struct sockaddr_storage sto;
+	char sa_buf[sSA_DUMP_STRLEN];
 	
 	/* Find the appropriate socket to use (not sure if it is important) */
@@ -276,9 +274,6 @@
 	}
 	
-	{
-		char __buf[1024];
-		sSA_DUMP_NODE_SERV(__buf, sizeof(__buf), &sto, NI_NUMERICHOST | NI_NUMERICSERV );
-		TRACE_DEBUG(FULL, "Sending %zd bytes to %s", buflen, __buf);
-	}
+	fd_sa_sdump_numeric(sa_buf, (sSA*)&sto);
+	TRACE_DEBUG(FULL, "Sending %zd bytes to %s", buflen, sa_buf);
 		
 	/* Send */
Index: include/freeDiameter/libfdproto.h
===================================================================
--- include/freeDiameter/libfdproto.h	(revision 1103)
+++ include/freeDiameter/libfdproto.h	(revision 1107)
@@ -473,7 +473,4 @@
 static __inline__ void replace_me() MARK_DEPRECATED { }
 
-#define TRACE_sSA(...) replace_me();
-#define sSA_DUMP_NODE_SERV(...) replace_me();
-#define sSA_DUMP_NODE(...) replace_me();
 #define TRACE_BUFFER(...) replace_me();
 #define TRACE_NOTICE(...) replace_me();
Index: libfdcore/config.c
===================================================================
--- libfdcore/config.c	(revision 1093)
+++ libfdcore/config.c	(revision 1107)
@@ -347,11 +347,9 @@
 			if ( (fd_g_config->cnf_flags.no_ip4 && (ep->sa.sa_family == AF_INET))
 			   ||(fd_g_config->cnf_flags.no_ip6 && (ep->sa.sa_family == AF_INET6)) ) {
+				char sa_buf[sSA_DUMP_STRLEN];;
 				li = li->prev;
 				fd_list_unlink(&ep->chain);
-				if (TRACE_BOOL(INFO)) {
-					char buf[1024];
-					sSA_DUMP_NODE( buf, sizeof(buf), &ep->sa, NI_NUMERICHOST );
-					fd_log_debug("Info: Removing local address conflicting with the flags no_IP / no_IP6 : %s", buf);
-				}
+				fd_sa_sdump_numeric(sa_buf, &ep->sa);
+				LOG_N("Info: Removing local address conflicting with the flags no_IP / no_IP6 : %s", sa_buf);
 				free(ep);
 			}
Index: libfdcore/core.c
===================================================================
--- libfdcore/core.c	(revision 1098)
+++ libfdcore/core.c	(revision 1107)
@@ -220,10 +220,10 @@
 	/* Display configuration */
 	b = fd_conf_dump(&buf, &len, NULL);
-	LOG_N("%s\n", b ?: "Error during configuration dump...");
+	LOG_N("%s", b ?: "Error during configuration dump...");
 	
 	/* Display registered triggers for FDEV_TRIGGER */
 	b = fd_event_trig_dump(&buf, &len, &offset);
 	if (!b || offset) {
-		LOG_N("%s\n", b ?: "Error during triggers dump...");
+		LOG_N("%s", b ?: "Error during triggers dump...");
 	}
 	
Index: libfdcore/sctp.c
===================================================================
--- libfdcore/sctp.c	(revision 1102)
+++ libfdcore/sctp.c	(revision 1107)
@@ -739,5 +739,5 @@
 		}
 		
-		if (TRACE_BOOL(SCTP_LEVEL)) {
+		#if 0
 			union {
 				sSA	*sa;
@@ -751,5 +751,5 @@
 				ptr.buf += (ptr.sa->sa_family == AF_INET) ? sizeof(sSA4) : sizeof(sSA6) ;
 			}
-		}
+		#endif
 		
 		/* Bind to this array */
@@ -764,5 +764,5 @@
 	
 	/* Debug: show all local listening addresses */
-	if (TRACE_BOOL(SCTP_LEVEL)) {
+	#if 0
 		sSA *sar;
 		union {
@@ -779,5 +779,5 @@
 		}
 		sctp_freeladdrs(sar);
-	}
+	#endif
 
 	return 0;
@@ -830,6 +830,7 @@
 	
 	/* Try connecting */
-	if (TRACE_BOOL(FULL)) {
-		TRACE_DEBUG(FULL, "Attempting SCTP connection (%d addresses attempted) :", count);
+	LOG_A("Attempting SCTP connection (%d addresses attempted) ", count);
+		
+#if 0
 		/* Dump the SAs */
 		union {
@@ -845,5 +846,5 @@
 			ptr.buf += (ptr.sa->sa_family == AF_INET) ? sizeof(sSA4) : sizeof(sSA6);
 		}
-	}
+#endif
 	
 #ifdef SCTP_CONNECTX_4_ARGS
@@ -908,7 +909,7 @@
 		return ENOTSUP;
 	}
-	if (TRACE_BOOL(SCTP_LEVEL)) {
-		char buf[1024];
-		sSA_DUMP_NODE_SERV(buf, sizeof(buf), &status.sstat_primary.spinfo_address, NI_NUMERICHOST | NI_NUMERICSERV );
+#if 0
+		char sa_buf[sSA_DUMP_STRLEN];
+		fd_sa_sdump_numeric(sa_buf, &status.sstat_primary.spinfo_address);
 		fd_log_debug( "SCTP_STATUS : sstat_state                  : %i" , status.sstat_state);
 		fd_log_debug( "              sstat_rwnd  	          : %u" , status.sstat_rwnd);
@@ -918,5 +919,5 @@
 		fd_log_debug( "		     sstat_outstrms 	          : %hu", status.sstat_outstrms);
 		fd_log_debug( "		     sstat_fragmentation_point    : %u" , status.sstat_fragmentation_point);
-		fd_log_debug( "		     sstat_primary.spinfo_address : %s" , buf);
+		fd_log_debug( "		     sstat_primary.spinfo_address : %s" , sa_buf);
 		fd_log_debug( "		     sstat_primary.spinfo_state   : %d" , status.sstat_primary.spinfo_state);
 		fd_log_debug( "		     sstat_primary.spinfo_cwnd    : %u" , status.sstat_primary.spinfo_cwnd);
@@ -924,5 +925,5 @@
 		fd_log_debug( "		     sstat_primary.spinfo_rto     : %u" , status.sstat_primary.spinfo_rto);
 		fd_log_debug( "		     sstat_primary.spinfo_mtu     : %u" , status.sstat_primary.spinfo_mtu);
-	}
+#endif /* 0 */
 	
 	*in = status.sstat_instrms;
@@ -1150,5 +1151,5 @@
 			case SCTP_PEER_ADDR_CHANGE:
 				TRACE_DEBUG(FULL, "Received SCTP_PEER_ADDR_CHANGE notification");
-				TRACE_sSA(FD_LOG_DEBUG, SCTP_LEVEL, "    intf_change : ", &(notif->sn_paddr_change.spc_aaddr), NI_NUMERICHOST | NI_NUMERICSERV, "" );
+				/* TRACE_sSA(FD_LOG_DEBUG, SCTP_LEVEL, "    intf_change : ", &(notif->sn_paddr_change.spc_aaddr), NI_NUMERICHOST | NI_NUMERICSERV, "" ); */
 				TRACE_DEBUG(SCTP_LEVEL, "          state : %d", notif->sn_paddr_change.spc_state);
 				TRACE_DEBUG(SCTP_LEVEL, "          error : %d", notif->sn_paddr_change.spc_error);
